2019-01-17 08:30 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000015QElectroTechDiagram Editorpublic2008-06-25 13:19
Reporterxavier 
Assigned Toxavier 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformX11OSGNU/LinuxOS Versionlatest
Product Version0.1 
Target Version0.2Fixed in Version0.2 
Summary0000015: Mauvais positionnement des champs de texte sur le schéma
DescriptionL'ajout d'un champ de texte sur le schéma se passe bien au zoom par défaut ; mais dès qu'on utilise un zoom différent, le positionnement ne correspond pas au clic effectué.
Steps To Reproduce* Créer un nouveau schéma
* Cliquer sur le bouton pour ajouter un champ de texte indépendant
* Cliquer sur le schéma : le champ de texte apparaît bien sous la souris
* Zoomer sur le schéma
* Cliquer sur le bouton pour ajouter un champ de texte indépendant
* Cliquer sur le schéma : le champ de texte n'apparaît pas sous la souris mais bien plus loin vers le bas à droite, et ce d'autant plus que l'on clique vers le coin inférieur droit de la vue.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000017

xavier (reporter)

Bug corrigé dans le dépôt Subversion à partir de la révision 341 (2008-06-25 13:15).
 
 Workaround : aucun
 
 Quick Patch : Éditer le fichier diagramview.cpp, remplacer la ligne 272 :
scene -> undoStack().push(new AddTextCommand(scene, dti, e -> pos()));
par
scene -> undoStack().push(new AddTextCommand(scene, dti, mapToScene(e -> pos())));
 
 TODO :
 -Éventuelle bugfix release (0.11) ?
+Notes

-Issue History
Date Modified Username Field Change
2008-06-25 13:14 xavier New Issue
2008-06-25 13:14 xavier Status new => assigned
2008-06-25 13:14 xavier Assigned To => xavier
2008-06-25 13:18 xavier Note Added: 0000017
2008-06-25 13:18 xavier Status assigned => resolved
2008-06-25 13:18 xavier Fixed in Version => 0.2
2008-06-25 13:18 xavier Resolution open => fixed
2008-06-25 13:19 xavier Status resolved => closed
2013-06-09 14:08 scorpio810 Category Éditeur de schémas => Diagram Editor
+Issue History